aubio 0.4.9

Loading...
Searching...
No Matches
Macros | Typedefs
types.h File Reference

Definition of data types used in aubio. More...

Go to the source code of this file.

## Macros
#define | HAVE_AUBIO_DOUBLE 0
| defined to 1 if aubio is compiled in double precision
#define | AUBIO_SMPL_FMT "%f"
| print format for sample in single precision
#define | AUBIO_LSMP_FMT "%lf"
| print format for sample in double precision

## Typedefs
typedef float | smpl_t
| short sample format (32 or 64 bits)
typedef double | lsmp_t
| long sample format (64 bits or more)
typedef unsigned int | uint_t
| unsigned integer
typedef int | sint_t
| signed integer
typedef char | char_t
| character

## Detailed Description

Definition of data types used in aubio.

Definition in file types.h.

## Macro Definition Documentation

## ◆ AUBIO_LSMP_FMT

#define AUBIO_LSMP_FMT "%lf"

print format for sample in double precision

Examples
  test-lvec.c.

Definition at line 53 of file types.h.

## ◆ AUBIO_SMPL_FMT

#define AUBIO_SMPL_FMT "%f"

print format for sample in single precision

Definition at line 43 of file types.h.

## ◆ HAVE_AUBIO_DOUBLE

#define HAVE_AUBIO_DOUBLE 0

defined to 1 if aubio is compiled in double precision

Definition at line 36 of file types.h.

## Typedef Documentation

## ◆ char_t

typedef char char_t

character

Definition at line 64 of file types.h.

## ◆ lsmp_t

typedef double lsmp_t

long sample format (64 bits or more)

Definition at line 51 of file types.h.

## ◆ sint_t

typedef int sint_t

signed integer

Definition at line 62 of file types.h.

## ◆ smpl_t

typedef float smpl_t

short sample format (32 or 64 bits)

Definition at line 41 of file types.h.

## ◆ uint_t

typedef unsigned int uint_t

unsigned integer

Definition at line 60 of file types.h.